Bug 10511 - Odd behavior for messaging preferences with Talking Tech enabled
Summary: Odd behavior for messaging preferences with Talking Tech enabled
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Kyle M Hall
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-26 20:40 UTC by Kyle M Hall
Modified: 2014-12-07 20:02 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 10511 - Odd behavior for messaging preferences with Talking Tech enabled (2.71 KB, patch)
2013-06-26 20:43 UTC, Kyle M Hall
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 10511 - Odd behavior for messaging preferences with Talking Tech enabled (2.77 KB, patch)
2013-07-19 03:57 UTC, Srdjan Jankovic
Details | Diff | Splinter Review
Bug 10511 - Odd behavior for messaging preferences with Talking Tech enabled - QA Followup (1.75 KB, patch)
2013-07-22 12:33 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 10511 - Odd behavior for messaging preferences with Talking Tech enabled (2.83 KB, patch)
2013-08-12 13:10 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 10511 - Odd behavior for messaging preferences with Talking Tech enabled - QA Followup (1.83 KB, patch)
2013-08-12 13:10 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2013-06-26 20:40:04 UTC
An error in the onclick for phone notices causes the "Do not notify" checkbox to be checked when the phone checkbox is checked. Also, checking "Do not notify" does not uncheck the phone checkbox.
Comment 1 Kyle M Hall 2013-06-26 20:43:49 UTC Comment hidden (obsolete)
Comment 2 Srdjan Jankovic 2013-07-19 03:57:42 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2013-07-19 11:52:28 UTC
QA comment:

removeAttr takes only 1 parameter.

Marked as Failed QA.
Comment 4 Kyle M Hall 2013-07-22 12:33:08 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2013-08-12 13:10:03 UTC
QA comment:

The described ergonomic issue has been fixed.

Marked as Passed QA.
Comment 6 Jonathan Druart 2013-08-12 13:10:28 UTC
Created attachment 20271 [details] [review]
Bug 10511 - Odd behavior for messaging preferences with Talking Tech enabled

An error in the onclick for phone notices causes the "Do not notify"
checkbox to be checked when the phone checkbox is checked. Also,
checking "Do not notify" does not uncheck the phone checkbox.

Test plan:
1) Enable TalkingTechItivaPhoneNotification
2) Browse to the new patron screen ( memberentry.pl )
3) In the patron messaging preferences check the Phone checkbox
4) Not the "do not notify" checkbox is then checked
5) Uncheck the "do not notify" checkbox, and check the Email checkbox as well
6) Now check the "do not notify" checkbox, note the Phone checkbox remains checked
7) Apply this patch
8) Repeat steps 3-6, noting the odd behavior is no longer present

Signed-off-by: Srdjan <srdjan@catalyst.net.nz>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 7 Jonathan Druart 2013-08-12 13:10:55 UTC
Created attachment 20272 [details] [review]
Bug 10511 - Odd behavior for messaging preferences with Talking Tech enabled - QA Followup

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 8 Galen Charlton 2013-08-12 14:14:22 UTC
Pushed to master.  Thanks, Kyle!
Comment 9 Tomás Cohen Arazi 2013-09-10 17:31:20 UTC
This patch has been pushed to 3.12.x, will be in 3.12.5.

Thanks Kyle!
Comment 10 Bernardo Gonzalez Kriegel 2013-09-14 19:13:32 UTC
Pushed to 3.10.x, will be in 3.10.11